> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Paperwork Link (Early Access)

> Create a link for an employee to complete custom paperwork in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/custom_paperwork
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/custom_paperwork:
    post:
      summary: Create Custom Paperwork Link (Early Access)
      operationId: create-custom-paperwork-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employeeID
                - formTemplateIDs
              properties:
                companyID:
                  type: string
                  description: Company ID of employer
                employeeID:
                  type: string
                  description: Employee ID of the employee
                formTemplateIDs:
                  type: array
                  description: >-
                    Array of form template IDs (in order of how it appears to
                    worker)
                  items:
                    type: string
                send_to_worker:
                  type: boolean
                  description: >-
                    If true, this link will be sent to the worker's email
                    address
                  default: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data: >-
                      https://zeal-prod.embedpayroll.com/employee-information?accessToken=...
                    success: true
                    testMode: true
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: >-
                      https://zeal-prod.embedpayroll.com/employee-information?accessToken=...
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: true
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    errors:
                      - message: >-
                          The following formTemplateIDs:
                          (3b1d9b0e-a146-4b48-a77d-c02ae5e5c35d) are not
                          applicable to this worker. Please remove them from the
                          request and try again.
                        code: 13
                        status: 400
                        correlationId: 5d5544f9-fb8b-4c81-a8cc-68415bc214e0
                    success: false
                    testMode: true
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            The following formTemplateIDs:
                            (3b1d9b0e-a146-4b48-a77d-c02ae5e5c35d) are not
                            applicable to this worker. Please remove them from
                            the request and try again.
                        code:
                          type: integer
                          example: 13
                          default: 0
                        status:
                          type: integer
                          example: 400
                          default: 0
                        correlationId:
                          type: string
                          example: 5d5544f9-fb8b-4c81-a8cc-68415bc214e0
                  success:
                    type: boolean
                    example: false
                    default: true
                  testMode:
                    type: boolean
                    example: true
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````